Skip to content
Select themeSelect language

`POST /api/councils` — create a council.

POST
/api/councils
curl --request POST \
--url https://example.com/api/councils \
--header 'Content-Type: application/json' \
--data '{ "judge_profile_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "mode": "example", "participant_profile_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "prompt": "example", "target_id": "example", "target_metadata": "example", "target_type": "example" }'
Media typeapplication/json
object
judge_profile_id
string | null format: uuid
mode
required
string
participant_profile_ids
Array<string>
prompt
string | null
target_id
string | null
target_metadata
target_type
required
string
Examplegenerated
{
"judge_profile_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"mode": "example",
"participant_profile_ids": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"prompt": "example",
"target_id": "example",
"target_metadata": "example",
"target_type": "example"
}
Media typeapplication/json
object
completed_at
string | null format: date-time
created_at
required
string format: date-time
created_by
required
string format: uuid
id
required
string format: uuid
judge_confidence
number | null format: double
judge_profile_id
string | null format: uuid
judge_synthesis
string | null
mode
required
string
outcome
prompt
string | null
recommended_action
status
required
string
target_id
string | null
target_metadata
required
target_type
required
string
workspace_id
required
string format: uuid
Examplegenerated
{
"completed_at": "2026-04-15T12:00:00Z",
"created_at": "2026-04-15T12:00:00Z",
"created_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"judge_confidence": 1,
"judge_profile_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"judge_synthesis": "example",
"mode": "example",
"outcome": "example",
"prompt": "example",
"recommended_action": "example",
"status": "example",
"target_id": "example",
"target_metadata": "example",
"target_type": "example",
"workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}